/**
*SNMP App
* Define an App to manage unas SNMP.
*/
var SNMPApp = SNMPApp || {};  //Define SNMP App namespace.
/**
*Constructor UNAS App
*/
SNMPApp.App = function () {
    this.id = 'SNMP Service';
    this.name = 'SNMP Service';
    this.version = '6.0.3';
    this.active = false;
    this.menuIcon = '/apps/snmp/images/logo.png?v=6.0.3&';
    this.shortcutIcon = '/apps/snmp/images/logo.png?v=6.0.3&';
    this.entryUrl = "/apps/snmp/snmp.html?v=6.0.3&";
    //this.entryHelpUrl = "/apps/snmp/snmp_help.html?v=6.0.3&";
    var self = this;
    this.SNMPAppWindow = function () {
    	if(UNAS.CheckAppState('SNMP Service')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'SNMPAppWindow',
            title: UNAS._('SNMP Service'),
			icon: '/apps/snmp/images/logo_small.png?v=6.0.3&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            loadMethod: 'xhr',
            contentURL: '/apps/snmp/snmp.html?v=6.0.3&',
			require: {  css: ['/apps/snmp/css/snmp.css'] },
			onBeforeBuild: function(){
				UNAS.SetAppOpenedWindow("SNMP Service",'SNMPAppWindow');
			}
        });
    };
    this.SNMPUninstall = function (){
    	UNAS.RemoveDesktopShortcut('SNMP Service');
    	UNAS.RemoveMenu('SNMP Service');
    	UNAS.RemoveAppFromGroups('SNMP Service', 'ControlPanel');
    	//UNAS.RemoveAppFromGroups('SNMP Service', 'Help');
    	UNAS.RemoveAppFromApps('SNMP Service');
    };
    new UNAS.Menu('UNAS_ControlPanel_Network_Menu', this.name, this.menuIcon, 'SNMP Service', '', this.SNMPAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'SNMP Service', this.SNMPAppWindow);
    new UNAS.RegisterToAppGroup(this.name, "ControlPanel", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, "Help", {'Type':"Network", "Location": 5, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('SNMP Service', UNAS._('SNMP Service')); //translate menu
        //UNAS.SetShortcutTitle('SNMP Service', UNAS._('SNMP Service'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('SNMPAppWindow', UNAS._('SNMP Service'));
        }
    };
    UNAS.LoadTranslation('/apps/snmp/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.SNMPAppWindow, this.SNMPUninstall);
};
new SNMPApp.App();
